2

on running docker compose build above this dockerfile

FROM php:5.6-apache

RUN apt-get -y update && apt-get upgrade -y

# Install tools && libraries
RUN apt-get -y install --fix-missing apt-utils nano wget dialog \
    build-essential git curl libcurl3 libcurl3-dev zip \
    libmcrypt-dev libsqlite3-dev libsqlite3-0 mysql-client \
    zlib1g-dev libicu-dev libfreetype6-dev libjpeg62-turbo-dev libpng-dev \
    && rm -rf /var/lib/apt/lists/*

# Composer
RUN curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer --version=2.0.9


# PHP5 Extensions
RUN docker-php-ext-install curl \
    && docker-php-ext-install tokenizer \
    && docker-php-ext-install json \
    && docker-php-ext-install mcrypt \
    && docker-php-ext-install pdo_mysql \
    && docker-php-ext-install pdo_sqlite \
    && docker-php-ext-install mysqli \
    && docker-php-ext-install zip \
    && docker-php-ext-install -j$(nproc) intl \
    && docker-php-ext-install mbstring \
    && docker-php-ext-configure gd --with-freetype-dir=/usr/include/ --with-jpeg-dir=/usr/include/ \
    && docker-php-ext-install -j$(nproc) gd \
    && pecl install xdebug-2.5.5 && docker-php-ext-enable xdebug \
    && echo "xdebug.remote_enable=1" >> /usr/local/etc/php/php.ini

RUN apt-get install gcc
RUN apt-get install autoconf
RUN apt-get update && apt-get install -y libssl-dev && rm -rf /var/lib/apt/lists/*
RUN apt-get install build-essential
RUN pecl install mongo
RUN docker-php-ext-enable mongo
RUN echo "extension=mongo.so" >> /usr/local/etc/php/php.ini
# Enable apache modules
RUN a2enmod rewrite headers

COPY ./ ./
RUN composer install

RUN ls 

EXPOSE 80

ENTRYPOINT ["/usr/sbin/apache2ctl", "-D", "FOREGROUND"]

getting this error

 > [ 2/16] RUN apt-get -y update && apt-get upgrade -y:                                                           
#0 0.363 Ign:1 http://deb.debian.org/debian stretch InRelease                                                     
#0 0.378 Ign:2 http://deb.debian.org/debian stretch-updates InRelease                                             
#0 0.384 Ign:3 http://deb.debian.org/debian stretch Release                                                       
#0 0.391 Ign:4 http://deb.debian.org/debian stretch-updates Release                                               
#0 0.399 Ign:5 http://deb.debian.org/debian stretch/main all Packages
#0 0.406 Ign:6 http://deb.debian.org/debian stretch/main amd64 Packages
#0 0.411 Ign:7 http://deb.debian.org/debian stretch-updates/main amd64 Packages
#0 0.419 Ign:8 http://deb.debian.org/debian stretch-updates/main all Packages
#0 0.429 Ign:9 http://security.debian.org/debian-security stretch/updates InRelease
#0 0.432 Ign:5 http://deb.debian.org/debian stretch/main all Packages
#0 0.435 Ign:10 http://security.debian.org/debian-security stretch/updates Release
#0 0.437 Ign:6 http://deb.debian.org/debian stretch/main amd64 Packages
#0 0.442 Ign:11 http://security.debian.org/debian-security stretch/updates/main all Packages
#0 0.443 Ign:7 http://deb.debian.org/debian stretch-updates/main amd64 Packages
#0 0.456 Ign:8 http://deb.debian.org/debian stretch-updates/main all Packages
#0 0.464 Ign:5 http://deb.debian.org/debian stretch/main all Packages
#0 0.479 Ign:6 http://deb.debian.org/debian stretch/main amd64 Packages
#0 0.491 Ign:7 http://deb.debian.org/debian stretch-updates/main amd64 Packages
#0 0.501 Ign:8 http://deb.debian.org/debian stretch-updates/main all Packages
#0 0.512 Ign:5 http://deb.debian.org/debian stretch/main all Packages
#0 0.518 Ign:6 http://deb.debian.org/debian stretch/main amd64 Packages
#0 0.525 Ign:7 http://deb.debian.org/debian stretch-updates/main amd64 Packages
#0 0.532 Ign:8 http://deb.debian.org/debian stretch-updates/main all Packages
#0 0.540 Ign:5 http://deb.debian.org/debian stretch/main all Packages
#0 0.546 Ign:6 http://deb.debian.org/debian stretch/main amd64 Packages
#0 0.553 Ign:7 http://deb.debian.org/debian stretch-updates/main amd64 Packages
#0 0.578 Ign:8 http://deb.debian.org/debian stretch-updates/main all Packages
#0 0.584 Ign:5 http://deb.debian.org/debian stretch/main all Packages
#0 0.588 Ign:12 http://security.debian.org/debian-security stretch/updates/main amd64 Packages
#0 0.595 Err:6 http://deb.debian.org/debian stretch/main amd64 Packages
#0 0.595   404  Not Found
#0 0.600 Err:7 http://deb.debian.org/debian stretch-updates/main amd64 Packages
#0 0.600   404  Not Found
#0 0.601 Ign:11 http://security.debian.org/debian-security stretch/updates/main all Packages
#0 0.612 Ign:8 http://deb.debian.org/debian stretch-updates/main all Packages
#0 0.749 Ign:12 http://security.debian.org/debian-security stretch/updates/main amd64 Packages
#0 0.755 Ign:11 http://security.debian.org/debian-security stretch/updates/main all Packages
#0 1.031 Ign:12 http://security.debian.org/debian-security stretch/updates/main amd64 Packages
#0 1.038 Ign:11 http://security.debian.org/debian-security stretch/updates/main all Packages
#0 1.044 Ign:12 http://security.debian.org/debian-security stretch/updates/main amd64 Packages
#0 1.053 Ign:11 http://security.debian.org/debian-security stretch/updates/main all Packages
#0 1.059 Ign:12 http://security.debian.org/debian-security stretch/updates/main amd64 Packages
#0 1.064 Ign:11 http://security.debian.org/debian-security stretch/updates/main all Packages
#0 1.071 Err:12 http://security.debian.org/debian-security stretch/updates/main amd64 Packages
#0 1.071   404  Not Found [IP: 151.101.194.132 80]
#0 1.074 Reading package lists...
#0 1.080 W: The repository 'http://deb.debian.org/debian stretch Release' does not have a Release file.
#0 1.080 W: The repository 'http://deb.debian.org/debian stretch-updates Release' does not have a Release file.
#0 1.080 W: The repository 'http://security.debian.org/debian-security stretch/updates Release' does not have a Release file.
#0 1.080 E: Failed to fetch http://deb.debian.org/debian/dists/stretch/main/binary-amd64/Packages  404  Not Found
#0 1.080 E: Failed to fetch http://deb.debian.org/debian/dists/stretch-updates/main/binary-amd64/Packages  404  Not Found
#0 1.080 E: Failed to fetch http://security.debian.org/debian-security/dists/stretch/updates/main/binary-amd64/Packages  404  Not Found [IP: 151.101.194.132 80]
#0 1.080 E: Some index files failed to download. They have been ignored, or old ones used instead.
------
failed to solve: process "/bin/sh -c apt-get -y update && apt-get upgrade -y" did not complete successfully: exit code: 100
2
  • I find no answer to the OPs question in the links to the "already answered" solution. So why the close? Commented Jan 8 at 11:57
  • 1
    @ShadowGames the OP’s error happens because the Stretch repositories have been archived. The answers to the linked questions explain exactly what to do to fix the error (update the Stretch repository URLs and remove the obsolete repos, or use a newer base image). Commented Jan 8 at 12:44

0

Browse other questions tagged .